#define buttonPin D7     // the number of the button pin
#define ledPin  D6    // the number of the LED pin
 
int buttonState = 0;         // variable for reading the button status

void setup() {

  // initialize the LED pin as an output
  pinMode(ledPin, OUTPUT);
  // initialize the button pin as an input
  pinMode(buttonPin, INPUT);
  
}
 
void loop() {
  
  // read the state of the button value
  buttonState = digitalRead(buttonPin);
 
  // check if the button is pressed
  if (buttonState == HIGH ) {
    // turn on LED
    digitalWrite(ledPin, HIGH);
  } 
  else {
    // turn off LED 
    digitalWrite(ledPin, LOW);
  }
  
}
